#!/usr/bin/python
# -*- coding: utf-8 -*-
# 
#   FILE: Elect2012TweetObj.py
#   DATE: April, 2012
#   Author: David W. McDonald
#
#   An object that mirrors the tweets in the Election 2012 database 
#
#   Copyright by Author. All rights reserved. Not for reuse without
#   express permissions.
#
#
from hcde.data.db.base.tweetObj import tweetObj

class Elect2012TweetObj(tweetObj):
    def __init__(self):
        tweetObj.__init__(self)

    def __repr__(self):
        result = "Elect2012TweetObj():\n\t"
        result = result+"rid: %s\n\t"%(str(self.rid))
        result = result+"tweet_id: %s\n\t"%(str(self.tweet_id))
        result = result+"created_at: %s\n\t"%(str(self.created_at))
        result = result+"from_user: "+self.from_user.encode('utf-8')+"\n\t"
        result = result+"from_user_name: "+self.from_user_name.encode('utf-8')+"\n\t"
        result = result+"from_user_id: %d\n\t"%(self.from_user_id)
        result = result+"tweet: "+self.tweet_text.encode('utf-8')
        return result
