#!/usr/bin/python
# -*- coding: utf-8 -*-
# 
#   FILE: settings_db.py
#   DATE: January, 2016
#   Author: David W. McDonald
#
#   Simple database settings - for the oscar 2016 twitter collection
#
##
# DATABASE SETTINGS
# These variables allow setting the host, protocol, username and password for
# accessing the database. If these are not set here then they should be passed
# as parameters when instantiating the DB objects.
#
DATABASE_SETTINGS = {
    ## oscars 2016 DB on socs
    'default': {
        'database_name':"oscars2016",
        'database_protocol':"mysql",
        'database_driver':"pymysql",
        'database_host':"socs.hcde.uw.edu",
        'database_user':"hcdedata",
        'database_pass':"(New!Ears#Day)",
        'module_path':None
    },
    ## oscars 2016 DB on socs
    'main_db': {
        'database_name':"oscars2016",
        'database_protocol':"mysql",
        'database_driver':"pymysql",
        'database_host':"socs.hcde.uw.edu",
        'database_user':"hcdedata",
        'database_pass':"(New!Ears#Day)",
        'module_path':None
    }
}
