#!/usr/bin/python
# -*- coding: utf-8 -*-
# 
#   FILE: settings_db.py
#   DATE: April, 2012
#   Author: David W. McDonald
#
#   Simple database settings - for the 2012 US Presidential election
#   tweet collection
#
##
# DATABASE SETTINGS
# These variables allow setting the host, protocol, username and password for
# accessing the database. If these are not set here then they should be passed
# as parameters when instantiating the DB objects.
#
DATABASE_SETTINGS = {
    ## 2012 Presidential collection mauka
    'default': {
        'database_name':"election2012",
        'database_protocol':"mysql",
        'database_driver':"pymysql",
        'database_host':"mauka.ischool.uw.edu",
        'database_user':"hcdedata",
        'database_pass':"free_4all*",
        'module_path':None
    },
    ## 2012 Presidential collection mauka
    'main_db': {
        'database_name':"election2012",
        'database_protocol':"mysql",
        'database_driver':"pymysql",
        'database_host':"mauka.ischool.uw.edu",
        'database_user':"hcdedata",
        'database_pass':"free_4all*",
        'module_path':None
    }
}
